Subject: Re: bug#20550: 25.0.50; Add GnuPG 2.x support to epa-file-cache-passphrase-for-symmetric-encryption.

From: Artur Malabarba <[email-masked]>
Date: Tue, 12 May 2015 09:49:55 +0100

2015-05-12 0:25 GMT+01:00 Artur Malabarba <[email-masked]>:
>> I'm not sure what you want, but perhaps this might help:
>> https://lists.gnu.org/archive/html/emacs-devel/2014-11/msg00421.html
>
> Might be, thanks. I'll try it out tomorrow.
> If it works I'll add a sentence to the docstring of
> epa-file-cache-passphrase-for-symmetric-encryption.

It didn't help. Well, it sort of did, but it also made things worse.
- It helped in the sense that now I only get prompted the first time I
open the file (instead of every time).
- It made things worse in the sense that I now have to type the
password 4(!) times when saving the file (all prompts are inside
emacs). The first prompt is "Passphrase for symmetric encryption for
/.../file.gpg: ", then I get "Confirm password: ", then I get the
first one again, then the second one again.